<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
include ("jpgraph\jpgraph.php");
include ("jpgraph\jpgraph_line.php");
include ("jpgraph\jpgraph_bar.php");

// Recupera os par�metros informados
$aux_limite = trim(pg_escape_string($_GET['limite']));
$aux_estilo = trim(pg_escape_string($_GET['estilo']));

// Width and height of the graph
$width = 300; $height = 200;
 
// Create a graph instance
$graph = new Graph($width,$height);

// Specify what scale we want to use,
// int = integer scale for the X-axis
// int = integer scale for the Y-axis
$graph->SetScale('intint');

// Setup a title for the graph
$graph->title->SetFont(FF_ARIAL,FS_BOLD,12);
$graph->title->Set('Evolu��o Temporal');

// Define as bandas acima e abaixo do valor cr�tico do indicador
$aux_cor_min = "lightred";
$aux_cor_max = "lightgreen";

if ($aux_estilo == "Menor melhor") {
$aux_cor_min = "lightgreen";
$aux_cor_max = "lightred";
}

if ($aux_limite <> 0) {
	$band[0]=new PlotBand(HORIZONTAL,BAND_SOLID,"min",$aux_limite,$aux_cor_min);
	$band[1]=new PlotBand(HORIZONTAL,BAND_SOLID,$aux_limite,"max",$aux_cor_max);
	$graph->AddBand($band);
}

// Define o eixo Y
$graph->ygrid->Show(true);
$graph->ygrid->SetFill(true,'#EFEFEF@0.5','#EFEFEF@0.5');
$graph->yaxis->scale->SetAutoMin(0);
$graph->yaxis->scale->SetAutoMax(100);

// Define o eixo X
$graph->xgrid->Show(true);
$years = array("2002","2003","2004","2005","2006","2007","2008","2009");
$graph->xaxis->SetTickLabels($years);
$values = array("10","20","30","25","40","35","40","60");
$lineplot=new LinePlot($values); // Create the linear plot
$graph->Add($lineplot); // Add the plot to the graph
 
// Display the graph
$graph->Stroke();
?>
